<?php
   include_once 'preg_find.php';
   include_once 'get_locale.php';
   //obtener el locale
   $locale= get_locale();
   // buscar links
   $link_dir="./links";
   $links = array();
   if(is_dir($link_dir))
      $links = preg_find("/\.link/", $link_dir);

   foreach ($links as $link) {
      $lista="";
      // comprobamos si no tiene extension "localizada"
      if ( ereg("\.link$", $link) ) {
         // lo mostraremos solamente si no existe version especifica para nuestro "locale"
	 $testfile=$link . "." . $locale ;
	 if ( ! is_file( $testfile ) )
            $lista = file($link);
      // en caso contrario, se muestra sólo si tiene extension para el "locale" actual 
      } elseif ( ereg("\.link." . $locale, $link) ) {
         $lista = file($link);
      }
      if ( is_array($lista) ) {
	 $n_lista=count($lista);
         $url="";
	 $textoenlace="";
	 $descrip="";
	 $imgenlace="";
	 if ( $n_lista > 0 )
            $url = trim($lista[0]);
	 if ( $n_lista > 1 )
            $textoenlace = trim($lista[1]);
	 if ( $n_lista > 2 )
            $imgenlace = trim($lista[2]);
	 if ( $n_lista > 3 )
            $descrip = $lista[3];
         if ( ! empty($url) ) {
	    if ( empty($imgenlace) && empty($textoenlace) ) $textoenlace=$url;
	    	echo '<span class="textbold"> <a href="'.$url.'"><br>';
	    if ( ! empty($imgenlace) )
	       echo '<img src="'.$imgenlace.'"> ';
	    echo $textoenlace.': </a></span> ';
            $fila ='<span class="text">'.$descrip.'</span><br>';
            echo $fila;
	 }
      }
}

?>
